<?php
  include_once("../header.php");
  include_once("../php/config.php");

?>
<style>
  .form-control, .btn{
    font-size: 18px;
	font-weight:bolder;
  }


b{
    font-size: 18px;
  }

  th{
    font-size:16px;
  }

    td{
    font-size:12px;
  }
  

</style>
<div class="container">
<div class="row">
  <div class="col-md-offset-3 col-md-7">

		       <div class="panel-default panel1">
					<div class="panel-heading"> <center><b class="text-primary h1"><i class="fa fa-w fa-cubes"></i> RECIBIR MERCANCIA</b></center></div>
                <div class="panel-body">
						<div class="row">


                        <div class="col-md-2 mt-2">
                            <b>Almacen</b>
                        </div>
                        <div class="col-md-4 ">
                            <select class="form-control  mb-2" id="almacen" onChange="lista()" disabled>

                                <option value="" selected>Sel. almacen</option>
                                <?php $sql2 = mysql_query("select * from almacen order by nombre asc")?>

                                <?php while ($r = mysql_fetch_array($sql2)) { ?>
                                    <option value="<?php echo $r['nombre'] ?>">(<?php echo $r['id_almacen'] ?>)<?php echo $r['nombre'] ?></option>
                                <?php } ?>
                            </select>
                        </div>
                    </div>

					<div class="row">
                        <div class="col-md-2">
                            <b>Mercancia</b>
                        </div>
                        <div class="col-md-10">
                           <input type="text" class="form-control" id="nombre" placeholder="Click aqui para buscar productos.." onClick="modalProductos()">
							                           <input type="hidden" class="form-control" id="codigo">

						</div>
    </div>

      <div class="row">
                        <div class="col-md-2 mt-2">
                            <b class="text-danger">Stock</b>
                        </div>
                        <div class="col-md-3 mt-2">
                           <input type="number" class="form-control" readonly id="stock" placeholder="Stock 0.00">

                         </div>
      
                           <div class="col-md-3 mt-2 hi">
                           <input type="number" class="form-control" id="costo" placeholder="Costo: DOP 0.00">
                          </div>

                           <div class="col-md-4 mt-2 hi">
                           <input type="number" class="form-control" disabled id="res" placeholder="TOTAL: DOP 0.00">
                          </div>


                        </div>

             <div class="row mt-2">
               <div class="col-md-2 mt-2">
                            <b class="text-danger">ITBIS</b>
               </div>

             <div class="col-sm-3">
            <input autocomplete="off" placeholder="% ITBIS" type="number" onBlur="setDefaultCalc()" ondblclick="cal_itbis()" class="form-control mb-2" id="itbis" name="itbis" value="">
          </div>

          <div class="col-sm-3">
            <input autocomplete="off" type="number"  onBlur="setDefaultCalc()" ondblclick="cal_utilidad()" placeholder="% Utilidad" class="form-control mb-2" id="utilidad" name="utilidad" value="">
          </div>


    </div>

    <div class="row">
           <div class="col-md-2 mt-2">
                            <b class="text-primary bold">Precio </b>
                        </div>
                        <div class="col-md-4 mt-2">
                           <input type="number" class="form-control" id="precio" placeholder="0">
                        </div>
    </div>

       <div class="row">
                        <div class="col-md-2 mt-2">
                            <b class="text-primary bold">Recibir</b>
                        </div>
                        <div class="col-md-3 mt-2">
                           <input type="number" class="form-control" id="cantidad" placeholder="0">
                        </div>
    </div>

      <div class="row">
                        <div class="col-md-2 mt-2">
                            <b>Concepto</b>
                        </div>
                        <div class="col-md-10 mt-2">
                           <input type="text" class="form-control" id="concepto">

                        </div>
          </div>

          <hr>
         <button class="btn btn-verde" onclick="retirar()" id="btngrabar"> <i class="fa fa-w fa-save"></i> Recibir mercancia</button>

         <a class="btn btn-default"  href="productos.php"> <i class="fa fa-w fa-home"></i> Salir</a>



				</div>
			</div>



  </div>


</div>







</div>



	<!---Modal productos-->
	<div class="modal" id="modalProductos" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-md" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <span class="modal-title text-success h3" id="exampleModalLabel"><i class="fa fa-w fa-edit"></i> Productos</span>
            <button class="close" type="button" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">
          		<input class="form-control mb-2" type="search" id="txt-buscar" onkeyup="lista_productos(this.value)">
          		<div class="table-responsive border p-2" id="lista-productos" style="max-height: 350px; overflow-y: scroll;">

          		</div>
		  </div>
          <div class="modal-footer">
            <a class="btn btn-warning" data-dismiss="modal"> <i class="fa fa-w fa-home"></i> Salir</a>
          </div>
        </div>
      </div>
    </div>


    <script>
    
    
    
var fid = "<?php echo $_GET['id']?>";
$(function(){
  get_lista(fid);
  
 if(myLevel!="Master"){
     $(".hi").hide();
 }
})
      function setDefaultCalc(){
  localStorage.setItem("itbis",$("#itbis").val());
  localStorage.setItem("utilidad",$("#utilidad").val());
}

getDefaultCalc();
function getDefaultCalc(){
$("#itbis").val(localStorage.getItem("itbis"));
 $("#utilidad").val(localStorage.getItem("utilidad"));
}
function cal_itbis(){
  var lprecio = $("#precio").val();
  var lcosto = $("#costo").val();
  var litbis = $("#itbis").val();
  var lutilidad = $("#utilidad").val();

  if(lprecio==""){lprecio = 0;}
  if(lcosto==""){lcosto = 0;}
  if(litbis==""){litbis = 0;}
  if(lutilidad==""){lutilidad = 0;}

  var a = lcosto * litbis/100;
  var b = parseFloat(a )+ parseFloat(lcosto);
  $("#costo").val(b);




}

function cal_utilidad(){
  var lprecio = $("#precio").val();
  var lcosto = $("#costo").val();
  var litbis = $("#itbis").val();
  var lutilidad = $("#utilidad").val();

  if(lprecio==""){lprecio = 0;}
  if(lcosto==""){lcosto = 0;}
  if(litbis==""){litbis = 0;}
  if(lutilidad==""){lutilidad = 0;}


  var c = lcosto * lutilidad/100;
  var d = parseFloat(c) + parseFloat(lcosto);
  $("#precio").val(d);


}


    ////LISTA PRODUCTOS///
function lista_productos(v){
	var almacen = $("#almacen").val();
	try{
            var sql="select * from productos where CONCAT('',descripcion,'',codigo) like '%"+v+"%'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
            	if(data=="null"){$("#lista-productos").html("No hay datos para mostrar"); return;}
                var rs = JSON.parse(data);
       			var tabla="<table style='width:100%' class='table table'><th>Codigo</th><th>Producto</th><th>Precio</th>";
       			var id_;
                for( var i in rs.data){
                	id_ = rs.data[i].id_producto
                	tabla+="<tr>";
					tabla+="<td>"+rs.data[i].codigo+"</td>";

                	tabla+="<td><a href='javascript:void(0)' onclick='get_lista("+id_+")'>"+rs.data[i].descripcion+"</a></td>";
                 
                	tabla+="<td>"+rs.data[i].precio+"</td>";
                  ///tabla+="<td>"+rs.data[i].stock+"</td>";
                	tabla+="</tr>";

                }
                 tabla+="</table>";
                 $("#lista-productos").html(tabla);
                 $("td").addClass("font-weight-light");

            })
         }catch(e){alert(e.message)}
        }


function modalProductos(){
	$("#modalProductos").modal("show");
	$("#lista-productos").html("<small class='text-primary'>Buscando productos...</small>");
  $("#txt-buscar").focus().select();
	lista_productos("");
}

var precio=0;
var costo=0;
var descripcion="";
var codigo="";
var id_inventario=0;
var folio=0;
var tipo_impuestos=0;
var valor_impuestos=0;

function get_lista(id){
            var sql="select * from productos where id_producto='"+id+"'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);

                for( var i in rs.data){
              id_producto = rs.data[i].id_producto;
       				codigo = rs.data[i].codigo;
       				descripcion = rs.data[i].descripcion;
       				costo = rs.data[i].costo;
       				precio = rs.data[i].precio;
       				stock = rs.data[i].cantidad;
              tipo_impuestos = rs.data[i].tipo_impuestos;
              valor_impuestos = rs.data[i].valor_impuestos;

       				$("#nombre").val(descripcion)
              $("#precio").val(precio)
              $("#costo").val(costo)
       				//$("#res").val(parseFloat(costo) * parseFloat(stock));
              get_stock(codigo, costo, precio)

       				$(".modal").modal("hide");


                }


            })
        }


  function get_stock(codigo, costo, precio){
  var sql="select * from productos where codigo='"+codigo+"'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                if(data=="null"){$("#stock").val(""); $("#res").val("");return;}
                var rs = JSON.parse(data);

                for( var i in rs.data){
                    id_inventario= rs.data[i].id_producto;


              var kcosto = rs.data[i].costo;
              var kprecio = rs.data[i].precio;
              var kstock = rs.data[i].stock;

              $("#stock").val(kstock)
			   $("#codigo").val(rs.data[i].codigo)
              $("#precio").val(precio)
              $("#costo").val(costo)
              $("#res").val(parseFloat(kcosto) * parseFloat(kstock));



                }


            })
        }


	function retirar(){
		var cantidad = $("#cantidad").val()
       	var concepto = $("#concepto").val()
       	var almacen = $("#almacen").val()
       	var nombre = $("#nombre").val()

        var almacen = $("#almacen").val()
         var costo0 = $("#costo").val()
        var impuesto = 0;




       	 if(!confirm("Seguro(a) que desea registrar este movimiento?")){return;}



if(nombre=="" || cantidad==""){alert('Faltan datos'); return}
    	var sql="";

            sql="INSERT INTO kardex set ";
            sql+=" descripcion='"+nombre+"'";
            sql+=", codigo='"+codigo+"'";
            sql+=", cantidad='"+cantidad+"'";
            sql+=", fecha=NOW()";
            sql+=", hora=NOW()";
            sql+=", concepto='"+concepto+"'";
            sql+=", tipo='"+"Recibido"+"'";
            sql+=", almacen='"+almacen+"'";
			sql+=", usuario='"+myUser+"'";




    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
       updatate_stock(id_inventario,cantidad, codigo, descripcion, costo0, precio, almacen, impuesto)

      }else{
          alert(data);

      }

    })

	}


function updatate_stock(id,cantidad, codigo, descripcion, costo0, precio, almacen, impuesto){
  var sql="";
  $("#btngrabar").prop("disabled", true)

			sql="update productos set ";
            sql+=" stock=stock + '"+cantidad+"'";
            sql+=", costo='"+costo0+"'";
            sql+=", precio='"+$("#precio").val()+"'";
            sql+=", tipo_impuestos='"+tipo_impuestos+"'";
            sql+=", valor_impuestos='"+valor_impuestos+"'";
            sql+=" WHERE id_producto='"+id+"'";




    _enviar("../php/update.php",{"sql":sql})

    .done(function( data ){

      if(data=="1"){
       alert("Registro grabado");

        id_inventario="";
      if(!confirm("DESEA IMPRIMIR LA ETIQUETA DE ESTE PRODUCTO?")){
        window.location.reload()
	  }else{
		  barcode();
	  }
      }else{
          alert(data);

      }

    })




}


 function barcode(){
    var param = "codigo="+$("#codigo").val()
     param += "&descripcion="+$("#nombre").val()
    param += "&precio="+$("#precio").val()

    window.open('../inventario/codigos.php?'+param,'_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=400,height=850');

  setTimeout(function(){
	  window.location.reload()
  },3000)

  }

    </script>
}
<?php
	include_once("../footer.php");
?>
